### Method

# Snapd Slot get_attribute

since: 1.3

#### Declaration [src]

    GVariant*
    snapd_slot_get_attribute (
      SnapdSlot* slot,
      const gchar* name
    )

#### Description [src]

Get an attribute for this interface.

Available since: 1.3

#### Parameters

`name`

  Type: `const gchar*`

  An attribute name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GVariant`

An attribute value or `NULL` if not set.

The returned data is owned by the instance.
The return value can be `NULL`.